<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/menu/_menu_template.xhtml">
        <ui:define name="menu_title">
            <h:outputLink styleClass="navbar-brand"
                          value="/OrderManager/home.seam">
                <h:outputText value="#{messages['gazelle.ordermanager.OrderManager']}"/>
            </h:outputLink>
        </ui:define>
        <ui:define name="menu_logo">
            <h:outputLink value="https://gazelle.ihe.net/" target="_blank">
                <h:graphicImage library="img" alt="#{messages['gazelle.ordermanager.GazelleLogo']}"
                                name="gazelle.png" height="34"/>
            </h:outputLink>
        </ui:define>
        <ui:define name="menu_navigation_links">
            <c:set var="menu" scope="session" value="#{menuProvider.getMenu()}"/>

            <ui:include src="/layout/menu/_generate_navigation_links.xhtml">
                <ui:param name="menu" value="#{menu}"/>
                <ui:param name="url_base_name" value="OrderManager"/>
                <ui:param name="icon_template" value="/layout/_no_icon_template.xhtml"/>
            </ui:include>
        </ui:define>
        <ui:define name="menu_user_actions_right">
            <ui:decorate template="/layout/menu-right.xhtml">
                <ui:param name="applicationRoot" value="OrderManager"/>
                <ui:define name="administration_links">
                    <li>
                        <h:outputLink value="/OrderManager/administration/numberGenerators.seam">
                            <h:outputText
                                    value="#{messages['gazelle.ordermanager.ManageIssuers']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/OrderManager/administration/responderManager.seam">
                            <h:outputText
                                    value="#{messages['gazelle.ordermanager.HL7RespondersConfiguration']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/OrderManager/administration/worklistManager.seam">
                            <h:outputText
                                    value="#{messages['gazelle.ordermanager.DICOMWorklist']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/OrderManager/administration/valueSetManager.seam">
                            <h:outputText value="#{messages['gazelle.ordermanager.ManageValueSets']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/OrderManager/administration/allUsers.seam">
                            <h:outputText
                                    value="#{messages['gazelle.ordermanager.UserPreferences']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/OrderManager/messages/companyDetailsList.seam">
                            <h:outputText value="#{messages['gazelle.ordermanager.ManageCompanies']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/OrderManager/configuration/validationParametersList.seam">
                            <h:outputText value="#{messages['gazelle.ordermanager.ValidationParameters']}"/>
                        </h:outputLink>
                    </li>
                </ui:define>
            </ui:decorate>
        </ui:define>
    </ui:decorate>
</ui:composition>
